Stablecoins APIbetaChannels
Get list of channel payments
Get list of deposits received on the channel, oldest first. Fetch a single payment with GET /channel-payments/{id}.
Authorization
Bearer AuthorizationBearer <token>
OAuth access token.
In: header
Path Parameters
id*string
Identifier of the channel.
Format
uuidQuery Parameters
page?integer
Page number, starting at 1. Maximum 100.
Range
1 <= value <= 100Default
1limit?integer
Number of items per page. Default 50, maximum 100.
Range
1 <= value <= 100Default
50Header Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08/payments" \ -H "X-Volt-Api-Version: 1"[ { "id": "7f3b9d1e-5a2c-4e6f-b8d0-a4c6e8f0b2d4", "channelId": "9c2e6b4a-8f1d-4c3a-b5e7-d0a2c4e6f8b1", "status": "PROCESSING", "endUser": { "reference": "user-8841" }, "transaction": { "hash": "0xdef4567890abcdef4567890abcdef4567890abcd", "detectedAt": "2026-08-25T11:00:00+00:00", "confirmedAt": null }, "paid": { "amount": "100.500000", "currency": "USDC" }, "credited": null, "rate": null, "createdAt": "2026-08-25T11:00:00+00:00", "updatedAt": "2026-08-25T11:00:00+00:00" }]